Gebruik de OpenAI Responses API voor gesprekken. Responses API is het nieuwste OpenAI API-formaat met flexibelere invoer.
/api/ai/v1/responsesBearer YOUR_API_KEY| Parameter | Type | Vereist | Beschrijving |
|---|---|---|---|
model | string | Vereist | Modelnaam, bijv. deepseek-v4.1-flash, qwen3.8-max |
input | string | Vereist | Invoertekst of gespreksinhoud |
max_tokens | integer | Optioneel | Maximaal aantal uitvoertokens |
temperature | float | Optioneel | Samplingtemperatuur, regelt willekeurigheid (0-2) |
stream | boolean | Optioneel | Streaming response inschakelen, stel in op true voor SSE |
| Parameter | Type | Beschrijving |
|---|---|---|
id | string | Unieke response-identificatie |
model | string | Daadwerkelijk gebruikt model |
output | string | Gegenereerde tekstuitvoer |
usage | object | Tokengebruiksstatistieken inclusief prompt_tokens, completion_tokens, total_tokens |
curl --location 'https://your-domain.com/api/ai/v1/responses' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--data '{
"model": "deepseek-v4.1-flash",
"input": "Hello, who are you?",
"max_tokens": 1000,
"temperature": 0.7
}'import requests
response = requests.post(
"https://your-domain.com/api/ai/v1/responses",
headers={
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_KEY"
},
json={
"model": "deepseek-v4.1-flash",
"input": "Hello, who are you?",
"max_tokens": 1000,
"temperature": 0.7
}
)
print(response.json())curl --location 'https://your-domain.com/api/ai/v1/responses' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--data '{
"model": "deepseek-v4.1-flash",
"input": "Hello",
"max_tokens": 1000,
"stream": true
}'